Уголок новичка
   1911

Ошибка вида "не настроено ни одного подходящего репозитория"

Всем добрый день. Только начал использовать Манджаро, поэтому вопросы будут странные. В частности, когда я пытаюсь решить какую-нибудь из возникающих насущных проблем по установке программ, всё время натыкаюсь на сообщение «не настроено ни одного подходящего репозитория». Соответственно, не получается ничего поставить. Более того, не слушается пакман — программы скачиваются, но не запускаются — никакого отклика на запуск через графику. А через терминал выдаёт ошибку вида: «codeblocks: /usr/lib/libc.so.6: version 'GLIBC_2.28'not found (required by /usr/lib/libwx_baseu-3.0.so.0) » Пример приведён для CodeBlocks, понятное дело.
Подскажите, пожалуйста, что мне с этим делать? На просторах интернета ответа не нашёл, а вопрос насущный.

130 комментариев

avatar
pacman -Suuyy
0
avatar
В ответ на команду прилетает как раз «ошибка: не настроено ни одного подходящего репозитория».
0
avatar
а если sudo pacman -Syyuu ?)
0
avatar
То же самое)
Вообще любая команда, хоть каким-нибудь боком подразумевающая установку чего либо, сразу же наталкивается на ошибку.
0
avatar
Более того, я пытался поставить новое ядро — у меня 4.14. Вроде как, кому-то помогло в похожей ситуации. Так у меня в графическом настройщике нет вариантов ядер! Голый лист. А через терминал пишет, что ( ну да, конечно, не настроены репозитории, плюс ещё) запрашиваемых ядер нет. И услужливо предлагает пустой список авайлэбл.
0
avatar
sudo pacman-mirrors -g
0
avatar
Список зеркал сгенерировался, а ошибка осталась.
0
avatar
Скрин ошибки можно посмотреть
0
avatar
0
avatar
sudo pacman -Sy archlinux-keyring manjaro-keyring
sudo pacman-key --populate archlinux manjaro
0
avatar
На первую же часть решения выдаёт отсутствие репозиториев.
0
avatar
Пакман вообще не слушается. Любые его команды выдают одну и ту же ошибку насчёт репозиториев.
0
avatar
а что у тебя лежит в /etc/pacman.conf? дай вывод
cat /etc/pacman.conf

и
sudo pacman -Syy
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
+1
avatar
И
/etc/pacman.d/mirrorlist
на всякий случай.
0
avatar
Прошу прощения за долгую задержку.
Код пакмана не отправляется — сайт подвисает. Это в порядке вещей, или надо как-то хитро поступить?
0
avatar
Код пакмана не отправляется — сайт подвисает. Это в порядке вещей, или надо как-то хитро поступить?
вроде все работает, если не получается, выложи на пастебин и дай ссылку
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
pastebin.com/Dm7cVdMd
Вот ссылка на пакман. Сейчас кину ссылку на зеркала.
0
avatar
по-моему у тебя в секции # REPOSITORIES что-то напутано
сделай как в примере
[core]
SigLevel = PackageRequired
Include = /etc/pacman.d/mirrorlist

[extra]
SigLevel = PackageRequired
Include = /etc/pacman.d/mirrorlist

[community]
SigLevel = PackageRequired
Include = /etc/pacman.d/mirrorlist

# If you want to run 32 bit applications on your x86_64 system,
# enable the multilib repositories as required here.

[multilib]
SigLevel = PackageRequired
Include = /etc/pacman.d/mirrorlist

сохрани и сделай
sudo pacman -Syy

кстати, его вывода я не увидел
и пересоздай список зеркал на всякий случай
sudo pacman-mirrors --interactive --default && sudo pacman -Syy && sudo pacman-mirrors -g && sudo pacman -Syyu
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Сделал по инструкции, убрал в пакмане server и заменил на siglevel. Список зеркал сгенерировался, но на пакмановские команды выдал «Не настроено ни одного подходящего репозитория». То же выпало на
sudo pacman -Syy

Может, это всё потому, что я сто лет не обновлялся? Ядро 4.14, при установке обновлений всё время какие-то циклические зависимости, поэтому всё как-то криво идёт.
0
avatar
Может, это всё потому, что я сто лет не обновлялся?
пролема не в этом
Ядро 4.14, при установке обновлений всё время какие-то циклические зависимости, поэтому всё как-то криво идёт.
О чем идет речь? Ведь у тебя на данный момент нет возможности обновиться
ЗЫ. было бы неплохо, если бы @dimonmmk увидел эту ветку, у него могут быть идеи…
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Насчёт обновлений. Если с консоли что-либо синхронизировать и т.д., то выпадает ошибка. Но обновления через мастер обновлений качаются. Точнее, идёт какой-то процесс, что-то скачивается, а потом выпадает уведомление о зависимостях, что-то удаляется и всё. Если запустить тот же список «к обновлению», вся операция пойдёт по второму кругу. Более того, как я писал в первом сообщении, программы пакман устанавливает, реально что-то скачивается, но потом не открывается и никак не откликается на внешние воздействия.
0
avatar
хорошо, давай узнаем весию пакмана
pacman -Q pacman

если не 5.1.3-1 попробуем его обновить внаглую
sudo pacman -U https://mirror.alpix.eu/manjaro/stable/core/x86_64/pacman-5.1.3-1-x86_64.pkg.tar.xz

потом пробуй
sudo pacman -Syy

пока идеи закончились, хотя есть одна, но она вандальная, поэтому с ней повременим
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
С первой же команды началось нечто весьма интересное:
pacman -Q pacman
ошибка: пакет 'pacman' не найден
0
avatar
Ооо, это уже прогресс! минутку
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
пока я ищу, попробуй вторую команду
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Вот что выдаёт.


 pacman-5.1.3-1-x86_64    780,9 KiB  1724K/s 00:00 [######################] 100%
 pacman-5.1.3-1-x86_...   329,0   B  6,06K/s 00:00 [######################] 100%
загрузка пакетов...
:: Импортировать PGP ключ 2048R/E4CDFE50A2DA85D58C8A8C70CAA6A59611C7F07E, "Philip Müller (Called Little) <philm@manjaro.org>", создан: 2012-05-05? [Y/n] y
ошибка: '/usr/local/var/cache/pacman/pkg/pacman-5.1.3-1-x86_64.pkg.tar.xz': неверный или поврежденный пакет(PGP-подпись)
0
avatar
sudo pacman -U https://mirror.alpix.eu/manjaro/stable/core/x86_64/manjaro-keyring-20190608-1-any.pkg.tar.xz

а так?
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Та же ошибка. Неверный или повреждённый файл, PGP-подпись.
0
avatar
пробуй обновить ключи
sudo pacman-key --refresh-keys

потом пробуй снова пакман
sudo pacman -U https://mirror.alpix.eu/manjaro/stable/core/x86_64/pacman-5.1.3-1-x86_64.pkg.tar.xz
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Обновил ключи он очень своеобразно:
sudo pacman-key --refresh-keys
gpg: обновление 2 ключей из hkp://pool.sks-keyservers.net
gpg: key CAA6A59611C7F07E: 1 duplicate signature removed
gpg: key CAA6A59611C7F07E: 21 подпись не проверена за отсутствием ключа
gpg: ключ CAA6A59611C7F07E: "Philip Müller (Called Little) <philm@manjaro.org>" не изменен
gpg: Всего обработано: 1
gpg:                   неизмененных: 1

Соответственно, и ошибка осталась по-прежнему.
0
avatar
sudo gpg --keyserver keys.gnupg.net --recv-keys CAA6A59611C7F07E

а так?
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
sudo pacman-key --edit-key "Philip Müller (Called Little) <philm@manjaro.org>"

> enable

> save

> quit

или так
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Попробовал оба варианта. В первом случае был импортирован тот самый ключ, и снова ему ничего не нравится:
gpg: key CAA6A59611C7F07E: 1 duplicate signature removed
gpg: key CAA6A59611C7F07E: 21 подпись не проверена за отсутствием ключа
gpg: ключ CAA6A59611C7F07E: импортирован открытый ключ "Philip Müller (Called Little) <philm@manjaro.org>"
gpg: абсолютно доверенных ключей не найдено
gpg: Всего обработано: 1
gpg:                  импортировано: 1
sudo pacman -U https://mirror.alpix.eu/manjaro/stable/core/x86_64/pacman-5.1.3-1-x86_64.pkg.tar.xz
загрузка пакетов...
ошибка: '/usr/local/var/cache/pacman/pkg/pacman-5.1.3-1-x86_64.pkg.tar.xz': неверный или поврежденный пакет(PGP-подпись)

Во втором случае процесс идёт так:
sudo pacman-key --edit-key "Philip Müller (Called Little) <philm@manjaro.org>"

pub  rsa2048/CAA6A59611C7F07E
          создан: 2012-05-05     годен до: никогда     назначение: SC  
     доверие: неизвестно достоверность: неизвестно
sub  rsa2048/320011450576724A
          создан: 2012-05-05     годен до: никогда     назначение: E   
[ неизвестно ] (1). Philip Müller (Called Little) <philm@manjaro.org>

gpg> > enable

Недопустимая команда (список команд: "help")

gpg> > save

Недопустимая команда (список команд: "help")

gpg> > quit

Недопустимая команда (список команд: "help")

gpg> enable

gpg> save
Ключ не изменялся - обновление не нужно.
==> Обновление таблицы доверия...
gpg: проверка таблицы доверия не нужна
После чего без всякого «quit» выбрасывает меня из gpg, после чего на требование обновить выдаёт всё ту же ошибку.
0
avatar
тогда давай еще наглее
wget https://mirror.alpix.eu/manjaro/stable/core/x86_64/openssl-1.1.1.d-1-x86_64.pkg.tar.xz; wget https://mirror.alpix.eu/manjaro/stable/core/x86_64/libarchive-3.4.0-2-x86_64.pkg.tar.xz; wget https://mirror.alpix.eu/manjaro/stable/core/x86_64/pacman-5.1.3-1-x86_64.pkg.tar.xz

sudo tar -xvf pacman-5.1.3-1-x86_64.pkg.tar.xz -C /

sudo tar -xvf openssl-1.1.1.d-1-x86_64.pkg.tar.xz -C /

sudo tar -xvf libarchive-3.4.0-2-x86_64.pkg.tar.xz -C /

sudo pacman -Syy
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Эх, а всё так ведь хорошо пошло… С первой команды сохранился свежий пакман, остальные три завалили меня информацией, но вот последняя выдала свою шарманку про ненастроенные репозитории.
0
avatar
фух, пока версии иссякли, подозреваю, что pacman берет инфу о репах не из pacman.conf а откуда-то из /home, это мысли в слух, я пока отошел, завтра продолжим бой!)
pacman -Q pacman теперь версию дает?
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Забавно, но такой пакет не найден.
Так что жду завтрашних инструкций)
Кстати, когда шла команда
sudo tar -xvf pacman-5.1.3-1-x86_64.pkg.tar.xz -C /
система занималась исключительно тем, что каждой второй строчкой игнорировала
tar: Игнорируется неизвестное ключевое слово расширенного заголовка «SCHILY.fflags»
Не знаю, в порядке ли это вещей.
Последний раз редактировалось
0
avatar
погодь, надо сделать
sudo pacman -S openssl libarchive pacman

и тд
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
А на это прилетает ошибка про репозитории.
0
avatar
пробуй что здесь написано про связки ключей, только вместо archlinux пиши manjaro, например
sudo pacman-key --populate manjaro

или
sudo pacman-key --populate archlinux manjaro

и тд
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
из ЛОРа совет есть
На худой конец SigLevel = Never в pacman.conf, для репы
то есть
привести pacman.conf к такому виду
[core]
SigLevel = Never
Include = /etc/pacman.d/mirrorlist

[extra]
SigLevel = Never
Include = /etc/pacman.d/mirrorlist

[community]
SigLevel = Never
Include = /etc/pacman.d/mirrorlist

# If you want to run 32 bit applications on your x86_64 system,
# enable the multilib repositories as required here.

[multilib]
SigLevel = Never
Include = /etc/pacman.d/mirrorlist
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Ошибка осталась по-прежнему, несмотря на изменения в пакмане. Может, попробовать раскомментировать в пакмане всё, что можно раскомментировать? А то там только репозитории и ещё немного гороха открыты.
0
avatar
Получил доступ к связке ключей пакмана:
sudo gpg --homedir /etc/pacman.d/gnupg --list-keys
gpg: Внимание: небезопасные права доступа к домашнему каталогу '/etc/pacman.d/gnupg'
/etc/pacman.d/gnupg/pubring.gpg
-------------------------------
pub   rsa2048 2015-10-24 [SC]
      5216CBF42A96C966E2E09E52917895402A693066
uid         [  абсолютно ] Pacman Keyring Master Key <pacman@localhost>

pub   rsa4096 2011-11-29 [SC]
      AB19265E5D7D20687D303246BA1DFB64FFF979E7
uid         [   полное   ] Allan McRae (Arch Linux Master Key) <allan@master-key.archlinux.org>

pub   rsa3072 2011-11-29 [SC] [    отозван: 2011-11-29]
      27FFC4769E19F096D41D9265A04F9397CDFD6BB0
uid         [   отозван  ] Dan McGee (Arch Linux Master Key) <dan@master-key.archlinux.org>
и ещё километр похожих записей. Не знаю, что с этим можно сделать, но на всякий случай сообщаю.
0
avatar
На populate выдаёт следующую ошибку:
sudo pacman-key --populate archlinux manjaro
==> ОШИБКА: Не найден файл с ключами '/usr/local/share/pacman/keyrings/archlinux.gpg'.
==> ОШИБКА: Не найден файл с ключами '/usr/local/share/pacman/keyrings/manjaro.gpg'.
0
avatar
В пакмане все Siglevel вообще заменил на Never. Не помогает. Делать что-то с ключами без посторонней помощи побаиваюсь. Пакман жалуется на репозитории и не синхронизирует ничего.
Попытался почистить кэш. Получил:
sudo pacman -Sc
Оставить пакеты:
  Все локально установленные пакеты

Каталог для кэша: /usr/local/var/cache/pacman/pkg/
:: Удалить все остальные пакеты из кэша? [Y/n] y
удаление старых пакетов из кэша...

Каталог базы данных: /usr/local/var/lib/pacman/
:: Удалить неиспользуемые репозитории? [Y/n] y
удаление неиспользуемых репозиториев...
ошибка: не удалось получить доступ к к каталогу базы данных

Вот так-то.
0
avatar
Пакман жалуется на репозитории
это как?
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
sudo pacman-key --populate archlinux manjaro
==> ОШИБКА: Не найден файл с ключами '/usr/local/share/pacman/keyrings/archlinux.gpg'.
==> ОШИБКА: Не найден файл с ключами '/usr/local/share/pacman/keyrings/manjaro.gpg'.
у меня тоже таких файлов нет(
странно
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
На populate выдаёт следующую ошибку:
попробуй сделаьб симлинки на эти файлы
sudo ln -s /usr/share/pacman/keyrings/archlinux.gpg /usr/local/share/pacman/keyrings/archlinux.gpg

и
sudo ln -s /usr/share/pacman/keyrings/manjaro.gpg /usr/local/share/pacman/keyrings/manjaro.gpg

и повтори
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Ссылки сделать не получилось:
sudo ln -s /usr/share/pacman/keyrings/archlinux.gpg /usr/local/share/pacman/keyrings/archlinux.gpg
ln: не удалось создать символьную ссылку '/usr/local/share/pacman/keyrings/archlinux.gpg': Нет такого файла или каталога
sudo ln -s /usr/share/pacman/keyrings/manjaro.gpg /usr/local/share/pacman/keyrings/manjaro.gpg
ln: не удалось создать символьную ссылку '/usr/local/share/pacman/keyrings/manjaro.gpg': Нет такого файла или каталога

Пакман жалуется на репозитории

это как?
Это всё та же ошибка -не настроено ни одного подходящего репозитория.
0
avatar
дай вывод
ls /usr/share/pacman/keyrings/

если там чтото вроде archlinuxcn.gpg archlinuxcn-revoked archlinuxcn-trusted archlinux.gpg archlinux-revoked archlinux-trusted manjaro.gpg manjaro-revoked manjaro-trusted лежит
сделай
sudo mkdir -p /usr/local/share/pacman/keyrings/

и повтори
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Вот вывод после второй команды (идентичен оному после первой):
ls /usr/share/pacman/keyrings/
archlinux.gpg      archlinux-trusted  manjaro-revoked
archlinux-revoked  manjaro.gpg        manjaro-trusted
0
avatar
ну, создай каталог /usr/local/share/pacman/keyrings/ и симлинки сделай, что произойдет ?
sudo pacman-key --populate archlinux manjaro
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Создал ссылки. Вот что произошло.
sudo pacman-key --populate archlinux manjaro
==> Добавление ключей из файла 'archlinux.gpg'...
==> Добавление ключей из файла 'manjaro.gpg'...
==> Обновление таблицы доверия...
gpg: проверка таблицы доверия не нужна
0
avatar
блин, из тебя клещами тянуть надо???)
pacman -Syy
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Я сразу же попытался -Syyuu, но ответ был такой, как и на простое -Syy:
sudo pacman -Syy 
ошибка: не настроено ни одного подходящего репозитория.
0
avatar
я пока сдаюсь, если мысли появятся отпишу, думаю, проще заново поставить…
хотя это не наш метод,
как вариант создай тему на ЛОРе со ссылкой сюда, возможно там кто-нибудь подскажет
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Я вообще подумываю уже переустановить. Но просто интересно, где дырка образовалась…
+2
avatar
Спойлер!
#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir = /
#DBPath = /var/lib/pacman/
#CacheDir = /var/cache/pacman/pkg/
#LogFile = /var/log/pacman.log
#GPGDir = /etc/pacman.d/gnupg/
#HookDir = /etc/pacman.d/hooks/
HoldPkg = pacman glibc manjaro-system
# If upgrades are available for these packages they will be asked for first
SyncFirst = manjaro-system archlinux-keyring manjaro-keyring
#XferCommand = /usr/bin/curl -L -C — -f -o %o %u
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#CleanMethod = KeepInstalled
#UseDelta = 0.7
Architecture = auto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
#IgnorePkg =
#IgnoreGroup =

#NoUpgrade =
#NoExtract =

# Misc options
#UseSyslog
#Color
#TotalDownload
CheckSpace
#VerbosePkgLists

# By default, pacman accepts packages signed by keys that its local keyring
# trusts (see pacman-key and its man page), as well as unsigned packages.
SigLevel = Required DatabaseOptional
LocalFileSigLevel = Optional
#RemoteFileSigLevel = Required

# NOTE: You must run `pacman-key --init` before first using pacman; the local
# keyring can then be populated with the keys of all official Manjaro Linux
# packagers with `pacman-key --populate archlinux manjaro`.

#
# REPOSITORIES
# — can be defined here or included from another file
# — pacman will search repositories in the order defined here
# — local/custom mirrors can be added here or in separate files
# — repositories listed first will take precedence when packages
# have identical names, regardless of version number
# — URLs will have $repo replaced by the name of the current repo
# — URLs will have $arch replaced by the name of the architecture
#
# Repository entries are of the format:
# [repo-name]
# Server = ServerName
# Include = IncludePath
#
# The header [repo-name] is crucial — it must be present and
# uncommented to enable the repo.
#

[core]
Include = /etc/pacman.d/mirrorlist

[extra]
Include = /etc/pacman.d/mirrorlist

[community]
Include = /etc/pacman.d/mirrorlist

# If you want to run 32 bit applications on your x86_64 system,
# enable the multilib repositories as required here.

[multilib]
Include = /etc/pacman.d/mirrorlist

# An example of a custom package repository. See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#SigLevel = Optional TrustAll
#Server = file:///home/custompkgs

Попробуйте заменить pacman.conf
0
avatar
Заменил. Всё та же ошибка.
0
avatar
Может, это всё потому, что я сто лет не обновлялся? Ядро 4.14, при установке обновлений всё время какие-то циклические зависимости, поэтому всё как-то криво идёт.

поставил в виртуалке manjaro 17.1.7 и действительно все ваши ошибки появились от этой и т.д
0
avatar
На виртуалке получилось обновиться 1 sudo pacman -Syyuu
2 sudo pacman -R thunar-archive-plugin
3 sudo pacman -Syu на вопросы ставил Y
0
avatar
1 sudo pacman -Syyuu
\
только проблема в том, что у него эта команда не выполняется, скорее всего тут что-то еще…
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Более того, как я писал в первом сообщении, программы пакман устанавливает, реально что-то скачивается, но потом не открывается и никак не откликается на внешние воздействия.
поставить ядро
sudo pacman -S linux414 к примеру,reboot перейти в grub на установленное ядро и на новом ядре сделать pacman -Syu
Последний раз редактировалось
0
avatar
Как я уже писал, поставить новое ядро не получается — не настроено ни одного подходящего репозитория.
0
avatar
Спасибо за интересную тему, есть чем заняться.Пробовал на образе 2015 года обновиться тоже не получается
+1
avatar
+1
avatar
кстати, была мысль, только думал еще /etc/pacman.conf туда же отправить, подождем от ТСа отзыва
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Выполнил на всякий случай. Всё шло как по маслу, но в послендий момент, а именно на команде
pacman -S geoip-database
Выскочила ошибка «не настроено ни одного подходящего репозитория».
0
avatar
а давай еще
sudo mv /etc/pacman.conf /etc/pacman.conf.bak

и повтори
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Вот что выпадает на последнюю из пяти команд:
gpg: Всего обработано: 130
gpg:                   неизмененных: 126
gpg:                 новых подписей: 11
gpg: key 1EB2638FF56C0C53: no user ID for key signature packet of class 10
gpg: key 1EB2638FF56C0C53: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: открытый ключ DB323392796CA067 на 3037 дней новее подписи
gpg: marginals needed: 3  completes needed: 1  trust model: pgp
gpg: глубина: 0  достоверных:   1  подписанных:   0  доверие: 0-, 0q, 0n, 0m, 0f, 1u
0
avatar
Кстати, из ЛОРа:
В ванильном арче действительно в прошлом было несколько технических глюков с keyring, когда приходилось разруливать настройки gpg руками, но сейчас всё уже устаканилось.

Сейчас единственная возможная проблема ­возникает при длительной задержке в обновлениях. В этом случае новые пакеты становится невозможно поставить, т. к. они подписаны новыми ключами, о которых pacman ещё не знает. Тогда приходится вручную устанавливать обновление archlinux-keyring, отключая при этом проверку ключей, а уже потом всё остальное.

Но если обновляться своевременно, то обновление archlinux-keyring прилетает первым, пока старые ключи ещё действуют, а уже потом пакеты начинают подписываться новыми ключами. Как-то так.
Последний раз редактировалось
0
avatar
то все понятно, пробуй что-то в этом направлении
sudo pacman -U https://mirror.alpix.eu/manjaro/stable/core/x86_64/pacman-mirrors-4.15.1-1-x86_64.pkg.tar.xz

sudo pacman -U https://mirror.alpix.eu/manjaro/stable/core/x86_64/archlinux-keyring-20191007-1-any.pkg.tar.xz

sudo pacman -U https://mirror.alpix.eu/manjaro/stable/core/x86_64/manjaro-keyring-20190608-1-any.pkg.tar.xz

sudo pacman -S openssl libarchive pacman

и
sudo pacman-mirrors --interactive --default && sudo pacman -Syy && sudo pacman-mirrors -g && sudo pacman -Syyu

возможно изменить немного порядок
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Увы.
sudo pacman -U https://mirror.alpix.eu/manjaro/stable/core/x86_64/pacman-mirrors-4.15.1-1-x86_64.pkg.tar.xz
 pacman-mirrors-4.15...   124,3 KiB  1130K/s 00:00 [######################] 100%
 pacman-mirrors-4.15...   310,0   B  0,00B/s 00:00 [######################] 100%
загрузка пакетов...
ошибка: '/usr/local/var/cache/pacman/pkg/pacman-mirrors-4.15.1-1-x86_64.pkg.tar.xz': неверный или поврежденный пакет(PGP-подпись)
sudo pacman -U https://mirror.alpix.eu/manjaro/stable/core/x86_64/archlinux-keyring-20191007-1-any.pkg.tar.xz
 archlinux-keyring-2...   815,1 KiB   959K/s 00:01 [######################] 100%
 archlinux-keyring-2...   310,0   B  0,00B/s 00:00 [######################] 100%
загрузка пакетов...
ошибка: '/usr/local/var/cache/pacman/pkg/archlinux-keyring-20191007-1-any.pkg.tar.xz': неверный или поврежденный пакет(PGP-подпись)
sudo pacman -U https://mirror.alpix.eu/manjaro/stable/core/x86_64/manjaro-keyring-20190608-1-any.pkg.tar.xz
 manjaro-keyring-201...   127,6 KiB   868K/s 00:00 [######################] 100%
 manjaro-keyring-201...   329,0   B  0,00B/s 00:00 [######################] 100%
загрузка пакетов...
ошибка: '/usr/local/var/cache/pacman/pkg/manjaro-keyring-20190608-1-any.pkg.tar.xz': неверный или поврежденный пакет(PGP-подпись)
sudo pacman -S openssl libarchive pacman
ошибка: не настроено ни одного подходящего репозитория.
0
avatar
блин, да что ж он все подпись спрашивает, а дай еще раз вывод
cat /etc/pacman.conf
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Кек:
cat /etc/pacman.conf
cat: /etc/pacman.conf: Нет такого файла или каталога
0
avatar
Если через нано открыть, он просто пустой.
0
avatar
точно, мы ж его выпилили))) дай
cat /etc/pacman.conf.pacnew

если его нет, то тогда верни старый файл на место
sudo mv /etc/pacman.conf.bak /etc/pacman.conf

замени SigLevel = Never на SigLevel = TrustAll или SigLevel = Optional TrustAll, попробуй и так и эдак, я не уверен как правильно
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Его тоже нет:
cat /etc/pacman.conf.pacnew
cat: /etc/pacman.conf.pacnew: Нет такого файла или каталога
0
avatar
выше
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
после каждого изменения pacman.conf пробуй
pacman -Syy
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Не работает. По-всякому пробовал.
0
avatar
не настроено ни одного подходящего репозитория.?
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Да, как обычно.
0
avatar
попробуй заменить содержимое pacman.conf на
Спойлер!
#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
#GPGDir      = /etc/pacman.d/gnupg/
#HookDir     = /etc/pacman.d/hooks/
HoldPkg      = pacman glibc manjaro-system
# If upgrades are available for these packages they will be asked for first
SyncFirst    = manjaro-system archlinux-keyring manjaro-keyring
#XferCommand = /usr/bin/curl -L -C - -f -o %o %u
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#CleanMethod = KeepInstalled
#UseDelta    = 0.7
Architecture = auto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
#IgnorePkg   =
#IgnoreGroup =

#NoUpgrade   =
#NoExtract   =

# Misc options
#UseSyslog
#Color
#TotalDownload
CheckSpace
#VerbosePkgLists

# By default, pacman accepts packages signed by keys that its local keyring
# trusts (see pacman-key and its man page), as well as unsigned packages.
SigLevel    = Required DatabaseOptional
LocalFileSigLevel = Optional
#RemoteFileSigLevel = Required

# NOTE: You must run `pacman-key --init` before first using pacman; the local
# keyring can then be populated with the keys of all official Manjaro Linux
# packagers with `pacman-key --populate archlinux manjaro`.

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here
#   - local/custom mirrors can be added here or in separate files
#   - repositories listed first will take precedence when packages
#     have identical names, regardless of version number
#   - URLs will have $repo replaced by the name of the current repo
#   - URLs will have $arch replaced by the name of the architecture
#
# Repository entries are of the format:
#       [repo-name]
#       Server = ServerName
#       Include = IncludePath
#
# The header [repo-name] is crucial - it must be present and
# uncommented to enable the repo.
#

[core]
Include = /etc/pacman.d/mirrorlist

[extra]
Include = /etc/pacman.d/mirrorlist

[community]
Include = /etc/pacman.d/mirrorlist

# If you want to run 32 bit applications on your x86_64 system,
# enable the multilib repositories as required here.

[multilib]
Include = /etc/pacman.d/mirrorlist

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#SigLevel = Optional TrustAll
#Server = file:///home/custompkgs
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
И снова увы:
pacman -Syy
ошибка: не настроено ни одного подходящего репозитория.
0
avatar
снова совет с ЛОРа
0. Не забыть обновить /etc/pacman.conf
1. Запустить «pacman-key --init»
2. При обновлении согласиться на добавление ключей
3. Запустить обновление системы повторно
4. Enjoy!
0 ты сделал
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
init я в своё время запускал, результат был тот же, что и сейчас — пара секунд ожидания и снова готовность к получению команды. Вообще никакого информативного отклика. Просто забиваешь команду, и он ждёт следующую.
0
avatar
кстати, а ты пробовал совет от @v-62? попробуй смени ветку на testing или unstable, возможно гле-то что-то зацепити протолкнет
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Вообще я менял, но попробую ещё раз.
0
avatar
Не, не сработало. Ладно, похоже, придётся переставлять в самом деле.
0
avatar
Config
Спойлер!
#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir = /
#DBPath = /var/lib/pacman/
#CacheDir = /var/cache/pacman/pkg/
#LogFile = /var/log/pacman.log
#GPGDir = /etc/pacman.d/gnupg/
#HookDir = /etc/pacman.d/hooks//
HoldPkg = pacman glibc manjaro-system
# If upgrades are available for these packages they will be asked for first
SyncFirst = manjaro-system archlinux-keyring manjaro-keyring
#XferCommand = /usr/bin/curl -L -C — -f -o %o %u
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#CleanMethod = KeepInstalled
#UseDelta = 0.7
Architecture = auto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
#IgnorePkg =
#IgnoreGroup =

#NoUpgrade =
#NoExtract =

# Misc options
#UseSyslog
#Color
#TotalDownload
CheckSpace
#VerbosePkgLists

# By default, pacman accepts packages signed by keys that its local keyring
# trusts (see pacman-key and its man page), as well as unsigned packages.
SigLevel = Never
LocalFileSigLevel = Optional
#RemoteFileSigLevel = Reguired

# NOTE: You must run `pacman-key --init` before first using pacman; the local
# keyring can then be populated with the keys of all official Manjaro Linux
# packagers with `pacman-key --populate archlinux manjaro'.

#
# REPOSITORIES
# — can be defined here or included from another file
# — pacman will search repositories in the order defined here
# — local/custom mirrors can be added here or in separate files
# — repositories listed first will take precedence when packages
# have identical names, regardless of version number
# — URLs will have $repo replaced by the name of the current repo
# — URLs will have $arch replaced by the name of the architecture
#
# Repository entries are of the format:
# [repo-name]
# Server = ServerName
# Include = IncludePath
#
# The header [repo-name] is crucial — it must be present and
# uncommented to enable the repo.
#

[core]
Include = /etc/pacman.d/mirrorlist

[extra]
Include = /etc/pacman.d/mirrorlist

[community]
Include = /etc/pacman.d/mirrorlist

# If you want to run 32 bit applications on your x86_64 system,
# enable the multilib repositories as required here.

[multilib]
Include = /etc/pacman.d/mirrorlist

# An example of a custom package repository. See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#SigLevel = Optional TrustAll
#Server = file:///home/custompkgs
Последний раз редактировалось
0
avatar
Тоже не меняет дело. Ладно, придётся переустанавливать, к сожалению. Бой проигран.
Кстати, не знаете, случайно, можно на линуксе виндовские программы запускать?
0
avatar
можно на линуксе виндовские программы запускать?
можно, разрешаю!))
wine в помощь, он умеет запускать около 90%
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
+1
avatar
Спасибо за разрешение)
Попробуем…
+1
avatar
На каком ядре эксперимент?
0
avatar
Получилось обновить 16.10.3 в виртуалке
0
avatar
а перед обновлением выпадало «ошибка: не настроено ни одного подходящего репозитория.»?
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Приветствую ошибок очень много, в образе 16 года первым делом памак предложил обновить ключи
а дальше типа
Последний раз редактировалось
0
avatar
тут просто не одна проблема, а как минимум две, одна с репами, другая с ключами, конечно если ТС со стальными орешками и очень любознательный, то для общего развития, да интереса ради, может сделать что-то вроде pacman -Qqen > pkglist, потом скормить его какому-то самодельному скрипту, который добавит каждому пакету версию и окончание *.pkg.tar.xz и скормит его wget`у, а потом tar`у, чем собсно пересоберет всю систему, то возможно он получит нужный результат, но не факт что рабочую систему, в данной ситуации искать пакет, который тормозит процесс, весьма проблематично да и времязатратно, проще перустановить ось, хотя я и не сторонник таких решений
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
+1
avatar
Главное если начал обновляться нужно идти до конца, проверю на разделе HDD отпишусь
0
avatar
Здравствуйте, в продолжение темы: получилось обновить manjaro-xfce-15.09-x86_64.iso в виртуалке, впервые увидел тиринг в virtualbox
0
avatar
Сегодня наткнулся в чатике:
Достаточно было грохнуть /var/lib/pacman/sync и произнести магическое
sudo pacman -Syy
возможно это поможет решить проблему…
если ТС еще не снес систему
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Систему я уже переустановил, и всё прекрасно работает. Вот только хотел спросить: нет никакой возможности запускать в XFCE приложения для KDE, в частности, Labplot? Очень не хочется KDE ставить, тем более, что ноут не потянет.
0
avatar
Вот только хотел спросить: нет никакой возможности запускать в XFCE приложения для KDE, в частности, Labplot?
не вижу проблемы,
sudo pacman -S labplot
и запускай себе на здоровье
Очень не хочется KDE ставить, тем более, что ноут не потянет.
и не надо, оно подтянет ± 50 мб зависимостей и все, полностью келы ставить не надо
тем более, что ноут не потянет.
это миф, чистые кеды сейчас кушают меньше чем крыса, здесь есть пользовалели кед, которые это неоднократно доказали, пробегись по тегам или зайди на чатик в телеге, пруфов полно))
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
+1
avatar
Всё бы хорошо, но labplot таки не запускается:
labplot2 -qwindowtitle %c %i %f
labplot2: error while loading shared libraries: libgsl.so.23: cannot open shared object file: No such file or directory
0
avatar
Всё бы хорошо, но labplot таки не запускается:
что говорит
ls /usr/lib/ | grep libgsl

?
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
$ ls /usr/lib/ | grep libgsl
libgslcblas.so
libgslcblas.so.0
libgslcblas.so.0.0.0
libgsl.so
libgsl.so.25
libgsl.so.25.0.0
0
avatar
попробуй сделать симлинк
sudo ln -s /usr/lib/libgsl.so.25 /usr/lib/libgsl.so.23

и повтори запуск
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Та же ошибка.
0
avatar
не может быть, значит что-то не так делаешь, а что сейчас показывает
ls /usr/lib/ | grep libgsl

какой вывод дает
labplot2

что говорит на
sudo ln -s /usr/lib/libgsl.so.25 /usr/lib/libgsl.so.23

и какая версия labplot?
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
$ ls /usr/lib/ | grep libgsl
libgslcblas.so
libgslcblas.so.0
libgslcblas.so.0.0.0
libgsl.so
libgsl.so.23
libgsl.so.25
libgsl.so.25.0.0
$ labplot2
labplot2: error while loading shared libraries: libnetcdf.so.13: cannot open shared object file: No such file or directory
$ sudo ln -s /usr/lib/libgsl.so.25 /usr/lib/libgsl.so.23
ln: не удалось создать символьную ссылку '/usr/lib/libgsl.so.23': Файл существует

labplot 2.5.0-3.0
0
avatar
он же теперь ругается на отсутствие libnetcdf.so.13, сделай и на него симлинк
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Сделал. Он ещё одну попросил, тоже сделал. Теперь пишет вот что:
$ labplot2
labplot2: symbol lookup error: labplot2: undefined symbol: nc_inq_vartype
$ labplot
bash: labplot: команда не найдена
$ labplot2 -qwindowtitle %c %i %f
labplot2: symbol lookup error: labplot2: undefined symbol: nc_inq_vartype
0
avatar
ты на какой ветке сидишь, stable или testing?
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
дело в том, что у меня библиотеки те же, и у меня он запускается без проблем, правда я недавно на unstable заскочил, а потом ветку поменял, но пакеты не отматывал, как-то так…
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
x32 RIP вроде
Поддержка архитектуры i686 прекращена и будет осуществляться только силами сообщества энтузиастов. Следует иметь в виду, что в настоящее время их продукт находится в стадии тестирования и не подходит для ежедневного использования. Узнать подробности можно перейдя на сайт проекта или в соответствующую ветку англоязычного форума.
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
+2
avatar
проверить, обновиться, переустановить, запустить
0
avatar
Ох, простите за неразумие, но всё-таки можно чуть подробней?
Вот отклик на команду:
pacman -Q systemd
systemd 243.9-1
0
avatar
sudo pacman -Syu потом sudo pacman -S labplot
0
avatar
Вот отклик на команду:

pacman -Q systemd
systemd 243.9-1

на arch тоже ставится без проблем проверте pacman -Q gsl
gsl 2.6-1
Последний раз редактировалось
0
avatar
У меня выпадает gsl 2.6-1.1
На обновление пишет, что ничего не устарело и «делать больше нечего». При переустановке пишет, что загружает тот же объём, что и прежде. На выходе имеем ту же ошибку.
0
avatar
Сравни
0
avatar
pacman -Qi labplot
Название             : labplot
Версия               : 2.5.0-3.0
Описание             : KDE Application for interactive graphing and analysis of
                       scientific data
Архитектура          : i686
URL                  : https://labplot.kde.org/
Лицензии             : GPL2
Группы               : Нет
Предоставляет        : Нет
Зависит от           : cantor  netcdf  cfitsio  fftw  gsl  qt5-serialport
                       libcerf
Доп. зависимости     : Нет
Требуется            : Нет
Опционально для      : Нет
Конфликтует с        : Нет
Заменяет             : Нет
Установленный размер : 18,66 MiB
Сборщик              : Erich Eckner <arch32 at eckner dot net>
Дата сборки          : Сб 10 ноя 2018 19:46:21
Дата установки       : Чт 07 ноя 2019 22:58:04
Причина установки    : Явно установлен
Установочный скрипт  : No
Проверен             : Подпись


Версия старше, и одной зависимости нет.
0
avatar
запустилось на i686
0
avatar
Привёл всё к такому виду: (ссылки делал зачем-то все с so.15, как первую. Надеюсь, ничего это не попортит, но не работать может как раз потому что я бездумно ссылок наделал не пойми куда)
ls /usr/lib | grep libnetcdf
libnetcdff.a
libnetcdf.settings
libnetcdf.so
libnetcdf.so.13
libnetcdf.so.15
$ sudo ln -s /usr/lib/libnetcdf.so.15  /usr/lib/libnetcdff.so
$ sudo ln -s /usr/lib/libnetcdf.so.15  /usr/lib/libnetcdff.so.7
$ sudo ln -s /usr/lib/libnetcdf.so.15  /usr/lib/libnetcdff.so.7.0.0
$ sudo ln -s /usr/lib/libnetcdf.so.15  /usr/lib/libnetcdf_C++4.so
$ sudo ln -s /usr/lib/libnetcdf.so.15  /usr/lib/libnetcdf_C++4.so.1
$ sudo ln -s /usr/lib/libnetcdf.so.15  /usr/lib/libnetcdf_C++4.so.1.1.0
$ ls /usr/lib | grep libnetcdf
libnetcdf_C++4.so
libnetcdf_C++4.so.1
libnetcdf_C++4.so.1.1.0
libnetcdff.a
libnetcdff.so
libnetcdff.so.7
libnetcdff.so.7.0.0
libnetcdf.settings
libnetcdf.so
libnetcdf.so.13
libnetcdf.so.15
$ ls /usr/lib/ | grep libcfitsio
libcfitsio.so
libcfitsio.so.7
libcfitsio.so.8
libcfitsio.so.8.3.47
$ labplot2
labplot2: symbol lookup error: labplot2: undefined symbol: nc_inq_vartype
$ labplot
bash: labplot: команда не найдена

Как видно, в конце всё завалилось.
0
avatar
sudo pacman -Rsn labplot потом установить повторить решения как советовал Agafron, все непонятки оказались из-за i686 системы, удачи
+1
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.